'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var api = require('./api.js');
var subscription = require('./subscription.js');

/**
 * Returns the list of delivery selection groups available to the buyers. This hook can only be used by extensions in the following
 * extension targets:
 * - purchase.checkout.shipping-option-list.render-before
 * - purchase.checkout.shipping-option-list.render-after
 */
function useDeliverySelectionGroups() {
  const api$1 = api.useApi();
  return subscription.useSubscription(api$1.deliverySelectionGroups);
}

exports.useDeliverySelectionGroups = useDeliverySelectionGroups;
