'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var api = require('./api.js');
var subscription = require('./subscription.js');

/**
 * Returns all available payment options.
 */
function useAvailablePaymentOptions() {
  const api$1 = api.useApi();
  return subscription.useSubscription(api$1.availablePaymentOptions);
}

/**
 * Returns payment options selected by the buyer.
 */
function useSelectedPaymentOptions() {
  const api$1 = api.useApi();
  return subscription.useSubscription(api$1.selectedPaymentOptions);
}

exports.useAvailablePaymentOptions = useAvailablePaymentOptions;
exports.useSelectedPaymentOptions = useSelectedPaymentOptions;
