'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var api = require('./api.js');
var react = require('react');

function useNavigationCurrentEntry() {
  const {
    currentEntry,
    removeEventListener,
    addEventListener
  } = api.useApi().navigation;
  const [entry, update] = react.useReducer(() => currentEntry, currentEntry);
  react.useEffect(() => {
    if (!currentEntry || !removeEventListener || !addEventListener) {
      throw new Error('useNavigationCurrentEntry must be used in an extension with the customer-account.page.render or customer-account.order.page.render target only');
    }
    addEventListener('currententrychange', update);
    return () => removeEventListener('currententrychange', update);
  }, [addEventListener, currentEntry, removeEventListener]);
  return entry;
}

exports.useNavigationCurrentEntry = useNavigationCurrentEntry;
