'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('@remote-ui/react');

const remoteRootRender = (node, root) => {
  return new Promise((resolve, reject) => {
    try {
      const remoteRoot = react.createRoot(root);
      remoteRoot.render(node);
      resolve(() => remoteRoot.unmount());
    } catch (error) {
      // Workaround for https://github.com/Shopify/ui-extensions/issues/325
      // eslint-disable-next-line no-console
      console.error(error);
      reject(error);
    }
  });
};

exports.remoteRootRender = remoteRootRender;
