import { useApi } from './api.mjs';
import { useReducer, useEffect } from 'react';

function useNavigationCurrentEntry() {
  const {
    currentEntry,
    removeEventListener,
    addEventListener
  } = useApi().navigation;
  const [entry, update] = useReducer(() => currentEntry, currentEntry);
  useEffect(() => {
    if (!currentEntry || !removeEventListener || !addEventListener) {
      throw new Error('useNavigationCurrentEntry must be used in an extension with the customer-account.page.render or customer-account.order.page.render target only');
    }
    addEventListener('currententrychange', update);
    return () => removeEventListener('currententrychange', update);
  }, [addEventListener, currentEntry, removeEventListener]);
  return entry;
}

export { useNavigationCurrentEntry };
