import { createRoot } from '@remote-ui/react';

const remoteRootRender = (node, root) => {
  return new Promise((resolve, reject) => {
    try {
      const remoteRoot = createRoot(root);
      remoteRoot.render(node);
      resolve(() => remoteRoot.unmount());
    } catch (error) {
      // Workaround for https://github.com/Shopify/ui-extensions/issues/325
      // eslint-disable-next-line no-console
      console.error(error);
      reject(error);
    }
  });
};

export { remoteRootRender };
